<template>
    <div class="Header">
        <h1>Users selection:</h1>
        <input type="text"
               placeholder="Введите значениеи и нажмите <Enter>"
               v-on:change="$emit('searchText', $event.target.value)"
        >
        <button
            v-on:click="$emit('clear-all')"
        >
            Очистить
        </button>
    </div>
</template>

<script>
    export default {
        name: "Header",
        data() {
            return {
                searchText: '',
            }
        },
    }
    // console.log(this.searchText)
</script>

<style scoped>
    * {
        margin: 0 10px;
    }
    .Header {
        width: 100%;
        min-width: 500px;
        height: 80px;
        margin: 0;
        padding: 16px;
        display: flex;
        align-items: center;
        justify-content: space-around;
        background-color: coral;
    }
    input {
        width: 260px;
        min-width: 220px;
        height: 30px;
    }
    button {
        width: 180px;
        min-width: 180px;
        height: 60px;
        cursor: pointer;
        font-size: large;
    }

</style>